
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;     -- needed for CONV_INTEGER
use IEEE.STD_LOGIC_UNSIGNED.ALL;  -- needed for CONV_INTEGER

entity Segm_b4 is
    Port ( A,B,C,D : in  STD_LOGIC;
           Segm_b4 : out  STD_LOGIC);
end Segm_b4;

architecture Behavioral of Segm_b4 is
   signal  ABCD: STD_LOGIC_VECTOR( 3 DOWNTO 0);
	signal iABCD: integer range 0 to 15;
begin
   ABCD <= A&B&C&D; -- Make a 4-bit vector of the signals A,B,C and D
	
	iABCD <= CONV_INTEGER(ABCD); -- Make an integer value of ABCD
	
   Segm_b4 <= '1' WHEN (iABCD=5) OR (iABCD=6) OR (iABCD=11) OR
	                    (iABCD=12) OR (iABCD=14) OR (iABCD=15)
					   ELSE
					'0';

end Behavioral;


